JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const scorer = await client.scenarios.scorers.update('id', {
bash_script: 'bash_script',
type: 'type',
});
console.log(scorer.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
scorer = client.scenarios.scorers.update(
id="id",
bash_script="bash_script",
type="type",
)
print(scorer.id)curl --request POST \
--url https://api.runloop.ai/v1/scenarios/scorers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"bash_script": "<string>"
}
'
{
"id": "<string>",
"type": "<string>",
"bash_script": "<string>"
}Scenario
Update a custom scenario scorer.
Update a scenario scorer.
POST
/
v1
/
scenarios
/
scorers
/
{id}
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const scorer = await client.scenarios.scorers.update('id', {
bash_script: 'bash_script',
type: 'type',
});
console.log(scorer.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
scorer = client.scenarios.scorers.update(
id="id",
bash_script="bash_script",
type="type",
)
print(scorer.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The Scorer ID.
Body
application/json
Response
200 - application/json
OK
Was this page helpful?
⌘I
